View Issue Details

IDProjectCategoryView StatusLast Update
0000640bareos-core[All Projects] file daemonpublic2016-10-13 11:55
ReportermvwieringenAssigned Tomvwieringen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindows 8OSWindowsOS Version8
Product Version15.2.3 
Target VersionFixed in Version 
Summary0000640: File daemon crashed after restoring sparse file on windows
DescriptionSee https://msdn.microsoft.com/en-us/library/windows/desktop/aa364596%28v=vs.85%29.aspx see we need to provide a bytesreturned variable
to the DeviceIoControl call when lpOverlapped is NULL

From the API page:

If lpOverlapped is NULL, lpBytesReturned cannot be NULL. Even when an operation returns no output data and lpOutBuffer is NULL, DeviceIoControl makes use of lpBytesReturned. After such an operation, the value of lpBytesReturned is meaningless.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionfixed
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action

Relationships

child of 0000641 closedmaik Release bareos-15.2.4 
child of 0000584 closedjoergs Release bareos-14.2.7 

Activities

mvwieringen

mvwieringen

2016-04-08 16:14

developer   ~0002232

Fix committed to bareos master branch with changesetid 6188.
mvwieringen

mvwieringen

2016-07-08 14:34

developer   ~0002312

Fix committed to bareos bareos-14.2 branch with changesetid 6420.
maik

maik

2016-10-13 11:55

administrator   ~0002385

Closed, release done

Related Changesets

bareos: master 93c4a5d0

2016-04-07 17:03:50

mvwieringen

Ported: N/A

Details Diff
win32: Fix crash on restore of sparse files.

See
https://msdn.microsoft.com/en-us/library/windows/desktop/aa364596%28v=vs.85%29.aspx
[^] see we need to provide a bytesreturned variable
to the DeviceIoControl call when lpOverlapped is NULL

From the API page:

If lpOverlapped is NULL, lpBytesReturned cannot be NULL. Even when an
operation returns no output data and lpOutBuffer is NULL, DeviceIoControl
makes use of lpBytesReturned. After such an operation, the value of
lpBytesReturned is meaningless.

Fixes 0000640: File daemon crashed after restoring sparse file on windows
Affected Issues
0000640
mod - src/win32/compat/compat.c Diff File

bareos: bareos-14.2 93e5f8f7

2016-04-07 17:03:50

mvwieringen

Ported: N/A

Details Diff
win32: Fix crash on restore of sparse files.

See
https://msdn.microsoft.com/en-us/library/windows/desktop/aa364596%28v=vs.85%29.aspx
[^] see we need to provide a bytesreturned variable
to the DeviceIoControl call when lpOverlapped is NULL

From the API page:

If lpOverlapped is NULL, lpBytesReturned cannot be NULL. Even when an
operation returns no output data and lpOutBuffer is NULL, DeviceIoControl
makes use of lpBytesReturned. After such an operation, the value of
lpBytesReturned is meaningless.

Fixes 0000640: File daemon crashed after restoring sparse file on windows
Affected Issues
0000640
mod - src/win32/compat/compat.c Diff File

Issue History

Date Modified Username Field Change
2016-04-07 17:00 mvwieringen New Issue
2016-04-07 17:00 mvwieringen Status new => assigned
2016-04-07 17:00 mvwieringen Assigned To => mvwieringen
2016-04-07 17:12 mvwieringen bareos-master: impact => yes
2016-04-07 17:12 mvwieringen bareos-master: action => will care
2016-04-07 17:12 mvwieringen bareos-15.2: impact => yes
2016-04-07 17:12 mvwieringen bareos-15.2: action => will care
2016-04-07 17:12 mvwieringen bareos-14.2: impact => yes
2016-04-07 17:12 mvwieringen bareos-14.2: action => will care
2016-04-07 17:12 mvwieringen bareos-13.2: impact => no
2016-04-07 17:12 mvwieringen bareos-12.4: impact => no
2016-04-08 16:14 mvwieringen Changeset attached => bareos master 93c4a5d0
2016-04-08 16:14 mvwieringen Note Added: 0002232
2016-04-08 16:14 mvwieringen Status assigned => resolved
2016-04-08 16:14 mvwieringen Resolution open => fixed
2016-06-14 11:28 maik Relationship added child of 0000641
2016-07-05 11:42 joergs Relationship added child of 0000584
2016-07-05 11:44 joergs bareos-master: action will care => fixed
2016-07-05 11:44 joergs bareos-15.2: action will care => fixed
2016-07-05 11:44 joergs bareos-14.2: action will care => fixed
2016-07-08 14:34 mvwieringen Changeset attached => bareos bareos-14.2 93e5f8f7
2016-07-08 14:34 mvwieringen Note Added: 0002312
2016-10-13 11:55 maik Note Added: 0002385
2016-10-13 11:55 maik Status resolved => closed